#ifndef OPTION_PARSER_H
#define OPTION_PARSER_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "getopt.h"
#include "ko_match.h"

typedef struct Options Options;

/* struct to temporaly save the input data */
struct Options
{
	char input_1 [256];
	char input_2 [256];
};

/* print the correct usage of the program */
void printUsage(void);

/* create an 'Options' struct out of the cmd parameters */
Options parseOptions(int argc, char **argv);

#endif
